Projects
Update a project
Update a project's name or storage settings. Only team owners can update projects.
PATCH
/api/projects/{projectId}
Authorization
Authorization
header
string
required
Enter the team access token with the Bearer prefix, e.g. "Bearer team_access_token"
Path Parameters
Bodyapplication/json
Project update parameters
Name is the name of the project. Required when storage_id is not provided.
Pattern:
^[a-zA-Z0-9\-\_ ]+$
StorageId is the storage id of the project. Required when name is not provided.
Responses
The project was updated successfully
application/jsonError response details
Code is the HTTP status code
Message is a human-readable error description
Examples:
Authentication error: invalid token or subscription inactive
type
"AuthenticationError"
string
required
Type indicates the error category
Available options:
AuthenticationError
status
"error"
string
required
Status indicates the response status "error"
Authentication error: invalid token or subscription inactive
application/jsonError response details
Code is the HTTP status code
Message is a human-readable error description
Examples:
Ressource not found
type
"NotFoundError"
string
required
Type indicates the error category
Available options:
NotFoundError
status
"error"
string
required
Status indicates the response status "error"
Resource not found
application/jsonError response details
Code is the HTTP status code
Message is a human-readable error description
Examples:
Rate limit exceeded
type
"TooManyRequestsError"
string
required
Type indicates the error category
Available options:
TooManyRequestsError
status
"error"
string
required
Status indicates the response status "error"
Rate limit exceeded
# Update a project
> Update a project's name or storage settings. Only team owners can update projects.
```json
{
"path": "/api/projects/{projectId}",
"method": "patch",
"schema": {
"description": "Update a project's name or storage settings. Only team owners can update projects.",
"operationId": "updateProject",
"parameters": [
{
"description": "Project Id",
"in": "path",
"name": "projectId",
"required": true,
"schema": {
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ProjectUpdateParams"
}
}
},
"description": "Project update parameters",
"required": true,
"x-originalParamName": "request"
},
"responses": {
"204": {
"description": "The project was updated successfully"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ResponseErrorAuthentication"
}
}
},
"description": "Authentication error: invalid token or subscription inactive"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ResponseErrorNotFound"
}
}
},
"description": "Resource not found"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ResponseErrorTooManyRequests"
}
}
},
"description": "Rate limit exceeded"
}
},
"security": [
{
"TeamAccessToken": []
}
],
"summary": "Update a project",
"tags": [
"Projects"
],
"x-codeSamples": [
{
"lang": "JavaScript",
"source": "import Chunkify from '@chunkify/chunkify';\n\nconst client = new Chunkify({\n teamAccessToken: 'My Team Access Token',\n});\n\nawait client.projects.update('project_id', { name: 'New Name' });"
},
{
"lang": "Python",
"source": "from chunkify import Chunkify\n\nclient = Chunkify(\n team_access_token=\"My Team Access Token\",\n)\nclient.projects.update(\n project_id=\"projectId\",\n name=\"New Name\",\n)"
},
{
"lang": "php",
"source": "\u003c?php\n\nuse Chunkify\\Client;\n\n$client = new Client(\n teamAccessToken: 'My Team Access Token',\n);\n\n$client-\u003eprojects-\u003eupdate('projectId', name: 'New Name');"
},
{
"lang": "Go",
"source": "package main\n\nimport (\n \"context\"\n\n \"github.com/chunkifydev/chunkify-go\"\n \"github.com/chunkifydev/chunkify-go/option\"\n)\n\nfunc main() {\n client := chunkify.NewClient(\n option.WithTeamAccessToken(\"My Team Access Token\"),\n )\n err := client.Projects.Update(\n context.TODO(),\n \"projectId\",\n chunkify.ProjectUpdateParams{\n Name: chunkify.String(\"New Name\"),\n },\n )\n if err != nil {\n panic(err.Error())\n }\n}\n"
}
]
}
}
```
```json #/components/schemas/ResponseErrorTooManyRequests
{
"description": "Error response",
"properties": {
"error": {
"description": "Error response details",
"properties": {
"code": {
"const": 429,
"description": "Code is the HTTP status code",
"examples": [
429
],
"type": "integer"
},
"message": {
"description": "Message is a human-readable error description",
"examples": [
"Rate limit exceeded"
],
"type": "string"
},
"type": {
"const": "TooManyRequestsError",
"description": "Type indicates the error category",
"enum": [
"TooManyRequestsError"
],
"type": "string"
}
},
"required": [
"type",
"code",
"message"
],
"type": "object"
},
"status": {
"const": "error",
"description": "Status indicates the response status \"error\"",
"type": "string"
}
},
"required": [
"status",
"error"
],
"type": "object"
}
```
```json #/components/schemas/ProjectUpdateParams
{
"anyOf": [
{
"required": [
"name"
]
},
{
"required": [
"storage_id"
]
}
],
"properties": {
"name": {
"description": "Name is the name of the project. Required when storage_id is not provided.",
"maxLength": 32,
"minLength": 4,
"pattern": "^[a-zA-Z0-9\\-\\_ ]+$",
"type": "string"
},
"storage_id": {
"description": "StorageId is the storage id of the project. Required when name is not provided.",
"maxLength": 64,
"minLength": 4,
"type": "string"
}
},
"type": "object"
}
```
```json #/components/schemas/ResponseErrorAuthentication
{
"description": "Error response",
"properties": {
"error": {
"description": "Error response details",
"properties": {
"code": {
"const": 401,
"description": "Code is the HTTP status code",
"examples": [
401
],
"type": "integer"
},
"message": {
"description": "Message is a human-readable error description",
"examples": [
"Authentication error: invalid token or subscription inactive"
],
"type": "string"
},
"type": {
"const": "AuthenticationError",
"description": "Type indicates the error category",
"enum": [
"AuthenticationError"
],
"type": "string"
}
},
"required": [
"type",
"code",
"message"
],
"type": "object"
},
"status": {
"const": "error",
"description": "Status indicates the response status \"error\"",
"type": "string"
}
},
"required": [
"status",
"error"
],
"type": "object"
}
```
```json #/components/schemas/ResponseErrorNotFound
{
"description": "Error response",
"properties": {
"error": {
"description": "Error response details",
"properties": {
"code": {
"const": 404,
"description": "Code is the HTTP status code",
"examples": [
404
],
"type": "integer"
},
"message": {
"description": "Message is a human-readable error description",
"examples": [
"Ressource not found"
],
"type": "string"
},
"type": {
"const": "NotFoundError",
"description": "Type indicates the error category",
"enum": [
"NotFoundError"
],
"type": "string"
}
},
"required": [
"type",
"code",
"message"
],
"type": "object"
},
"status": {
"const": "error",
"description": "Status indicates the response status \"error\"",
"type": "string"
}
},
"required": [
"status",
"error"
],
"type": "object"
}
```